#!/bin/sh

BASE="$1"
TOC=$BASE.toc

cp $TOC $BASE.tocfile
cat $TOC | grep -v MESSAGE > $TOC.org
mv $TOC.org $TOC

grep Track $TOC |\
	awk -f track.awk > track

artist=`grep PERFORMER $TOC |\
	sed 's/\//-/g' |\
	awk -f id3tag.awk |\
	sed 's/^1//' |\
	grep "^00" |\
	sed 's/^00_//'`

album=`grep TITLE $TOC |\
	sed 's/\//-/g' |\
	awk -f id3tag.awk |\
	sed 's/^1//' |\
	grep "^00" |\
	sed 's/^00_//'`

grep TITLE $TOC |\
	sed 's/\//-/g' |\
	awk -f id3tag.awk |\
	sed 's/^1//' |\
	grep -v "^00" > id3tag

grep TITLE $TOC |\
	sed 's/\//-/g' |\
	awk -f titles.awk |\
	sed 's/^1//' |\
	grep -v "^00" > titles

grep PERFORMER $TOC |\
	sed 's/\//-/g' |\
	awk -f id3tag.awk |\
	sed 's/^1//' |\
	grep -v "^00" > performers

tnummer=`cat track`
base=`/bin/ls *.toc | sed 's/\.toc//'`
mp3=`/bin/ls *.wav | sed 's/\.wav/.mp3/'`
mp3=`echo $mp3 | sed 's/$/ /'`

for i in `ls *.wav | sed 's/'$BASE'_//' | sed 's/\.wav//'`
do
	grep "^$i" id3tag |\
	sed 's/^'$i'_//' > "$BASE"_"$i".mp3.tt
	grep "^$i" performers |\
	sed 's/^'$i'_//' > "$BASE"_"$i".mp3.tc
	echo "$i" | sed 's/^0//' > "$BASE"_"$i".mp3.tn
done

cat Makefile |\
	sed "s/FOONR/$tnummer/g" |\
	sed "s/FOOMP3/$mp3/g" |\
	sed "s/FOOALBUM/$album/g" |\
	sed "s/FOOARTIST/$artist/g" > Makefile.new
mv Makefile.new Makefile
sync
sync
sync

exit 0
